Get Tape Device List
Product version: 10.11
Last modified: 31 July 2024
Gets the list of tape devices.
Endpoint
https://<Director_IP_address>:4443/c/router
Request Example
curl --request POST \
--url https://<Director_IP_address>:4443/c/router \
--header "content-type: application/json" \
--cookie cookies.txt \
--data '{
"action": "TapeDeviceManagement",
"method": "getDevices",
"data": [{
"filter": {
"start": 0,
"count": 200,
"sort": "NAME",
"sortAsc": true
}
}],
"type": "rpc",
"tid": 1}'
Request Fields
|
Field
|
Type
|
Value(s)
|
|---|---|---|
action
|
string | TapeDeviceManagement |
method
|
string | getDevices |
data
|
Json | Filter parameters. See the filter table below |
type
|
string | rpc
|
tid
|
integer | 1 |
filter
|
Field
|
Type
|
Description
|
|---|---|---|
|
|
int |
A start ID of the tape device to be returned |
|
|
int |
Number of tape devices to be returned |
|
|
string |
Tape device parameter to be sorted with |
|
|
boolean |
|
|
|
array |
Filter criteria. See the rows below |
|
|
string |
Type of the criterion. Possible values: |
|
|
string |
Name of the criterion. Possible values: |
|
|
string |
Value of the criterion |
Response Sample
{
"action": "TapeDeviceManagement",
"method": "getDevices",
"tid": "1",
"type": "rpc",
"message": null,
"where": null,
"cause": null,
"data": {
"children": [{
"alertDescription": null,
"alertErrorCode": null,
"alertTitle": null,
"attached": true,
"blockSize": 524288,
"changeStatus": "NONE",
"changers": null,
"compression": "HARDWARE_BASED",
"deviceName": "IBM",
"driveCount": 1,
"drives": null,
"freeCapacity": null,
"id": 67,
"locationId": 1,
"locationName": "My office",
"lockReasons": [],
"lockedExclusive": false,
"lockedShared": false,
"mediaPoolId": null,
"mediaPoolName": null,
"name": "VT",
"offlineLocationId": 1,
"offlineLocationName": "My office",
"operationStart": null,
"operationStartRelative": 0,
"path": "/dev/sg0",
"preventModification": false,
"progress": 0,
"slotCount": 3200,
"state": "OK",
"status": "NONE",
"tapeCartridgeCount": 1,
"tapeCartridgeId": 225,
"tapeCartridgeName": null,
"transporterId": 33,
"transporterName": "13.234.155.61",
"type": "TAPE_LIBRARY",
"updateChangers": false,
"updateDrives": false,
"uuid": "b1704a03-ea44-34ac-b0b-e86cbb2349f5",
"vid": "TAPE_LIBRARY-67",
"wasCreated": false,
"wasDiscoveredOnce": true,
"wasEdited": false
},
{
"alertDescription": null,
"alertErrorCode": null,
"alertTitle": null,
"attached": true,
"blockSize": 262144,
"changeStatus": "NONE",
"changers": null,
"compression": "HARDWARE_BASED",
"deviceName": "stdrive_2",
"driveCount": 0,
"drives": null,
"freeCapacity": null,
"id": 1,
"locationId": 1,
"locationName": "My office",
"lockReasons": [],
"lockedExclusive": false,
"lockedShared": false,
"mediaPoolId": null,
"mediaPoolName": null,
"name": "st2",
"offlineLocationId": 1,
"offlineLocationName": "My office",
"operationStart": null,
"operationStartRelative": 0,
"path": "stdrive_2",
"preventModification": false,
"progress": 0,
"slotCount": 0,
"state": "OK",
"status": "NONE",
"tapeCartridgeCount": 1,
"tapeCartridgeId": 1,
"tapeCartridgeName": "ST002",
"transporterId": 1,
"transporterName": "1.1.1.1",
"type": "TAPE_STANDALONE_DRIVE",
"updateChangers": false,
"updateDrives": false,
"uuid": "17453fce-e58d-4ed1-a926-65b8ff171002",
"vid": "TAPE_STANDALONE_DRIVE-1",
"wasCreated": false,
"wasDiscoveredOnce": true,
"wasEdited": false
}
],
"totalCount": 2
}
}
Response Fields
|
Field
|
Value
|
Description
|
|---|---|---|
message
|
string | Message if the request failed |
where
|
string | Reference to the method where the problem occurred |
cause
|
string | Cause of failure |
|
|
Json |
Tape device info |
|
|
array |
Tape devices. See parameters below |
|
|
integer |
Total number of returned tape devices |
data.children
|
Field |
Value |
Description |
|---|---|---|
|
|
|
Error code of the alert (if any) |
|
|
string |
Description of the alert (if any) |
|
|
string |
Title of the alert (if any) |
|
|
boolean |
Checks if the tape device is attached |
|
|
int |
Block size of the current tape device |
|
|
string |
Change status. Possible values: NONE, CREATE_PENDING (new item, discovery is needed), CHANGE_PENDING (some attributes have changed, discovery is needed), RECREATE_PENDING (the item was destroyed and needs to be re-created) |
|
|
Json |
Media changers of the tape library |
|
|
string |
Compression type |
|
|
string |
Tape device name |
|
|
int |
Number of the tape library drives |
|
|
Json |
Tape drives of the tape library |
|
|
|
Free capacity of the tape device |
|
|
|
Tape device ID |
|
|
int |
Location ID of the tape device |
|
|
string |
Location name of tape device |
|
|
int |
Media pool ID of the tape device |
|
|
string |
Media pool name of the tape device |
|
|
array |
Lock reasons |
|
|
boolean |
|
|
|
boolean |
|
|
|
string |
Tape device name |
|
|
int |
ID of the location for tapes ejected from this tape device |
|
|
string |
Name of the location for tapes ejected from this tape device |
|
|
string |
Timestamp of the beginning of the current operation |
|
|
|
Relative timestamp (e.g. time since start) of the beginning of the current operation |
|
|
string |
Path to the tape device |
|
|
boolean |
If |
|
|
int |
Progress of the current operation |
|
|
int |
Number of tape library slots |
|
|
string |
Tape device state |
|
|
string |
Status of the current operation on the tape device. |
|
|
int |
Number of the tape device cartridges |
|
|
|
Tape cartridge ID |
|
|
string |
Tape cartridge name |
|
|
|
Assigned transporter ID |
|
|
string |
Assigned transporter name |
|
|
string |
Tape device type. Possible values: |
|
|
boolean |
Checks if the changers of tape library were updated |
|
|
boolean |
Checks if the drives of tape library were updated |
|
|
string |
Tape device UUID |
|
|
string |
Tape device VID |
|
|
boolean |
Checks if the tape device was created |
|
|
boolean |
Checks if the tape device was discovered once |
|
|
boolean |
Checks if the tape device was edited |